> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rovemiles.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get details of a specific place

> Returns detailed information about a specific place by its ID.



## OpenAPI

````yaml https://api.staging.rovemiles.com/functions/v1/openapi get /data/places/{id}
openapi: 3.0.3
info:
  title: Rove Miles API
  version: 0.1.0
  description: Data Utils, Flights, Hotels & Miles endpoints.
servers:
  - url: https://api.staging.rovemiles.com/functions/v1
security:
  - bearerAuth: []
tags:
  - name: Data
    description: Operations related to reference data like airports and places
  - name: Flights
    description: Operations related to flight search and booking
  - name: Hotels
    description: Operations related to hotel search and booking
  - name: Miles
    description: Operations related to miles and points management
  - name: Deals
    description: Operations related to special offers and promotions for flights and hotels
paths:
  /data/places/{id}:
    get:
      tags:
        - Data
      summary: Get details of a specific place
      description: Returns detailed information about a specific place by its ID.
      operationId: getPlaceById
      parameters:
        - name: id
          in: path
          required: true
          description: The unique identifier of the place
          schema:
            type: string
          example: ChIJu1K2erNv5kcR6HyzBQieKJ0
      responses:
        '200':
          description: Successfully retrieved place details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Place'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalError'
components:
  schemas:
    Place:
      type: object
      required:
        - placeId
        - displayName
        - types
      properties:
        placeId:
          type: string
          description: Unique identifier for the place
        displayName:
          type: string
          description: Human-readable name of the place
        formattedAddress:
          type: string
          description: Human-readable address of the place
        types:
          type: array
          description: Categories the place belongs to
          items:
            type: string
        language:
          type: string
          description: Language code for the returned result
          pattern: ^[a-z]{2}(-[A-Z]{2})?$
        geometry:
          type: object
          description: Geographical coordinates of the place
          properties:
            location:
              type: object
              properties:
                lat:
                  type: number
                  format: double
                  description: Latitude coordinate
                lng:
                  type: number
                  format: double
                  description: Longitude coordinate
      example:
        placeId: ChIJu1K2erNv5kcR6HyzBQieKJ0
        displayName: Rome
        formattedAddress: 75017 París, Francia
        types:
          - subway_station
          - transit_station
          - point_of_interest
          - establishment
        language: en
        geometry:
          location:
            lat: 48.8847
            lng: 2.3231
    Error:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: 400
            message: Bad Request
    Unauthorized:
      description: Unauthorized - Invalid or missing token
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: 401
            message: Unauthorized - Invalid or missing token
    NotFound:
      description: Resource Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: 404
            message: The requested resource was not found
    InternalError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: 500
            message: Internal Server Error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        API key for authentication. Add your API key to the Authorization header
        with this format: 'Bearer your_api_key_here'

````